Bug 48283 - Proxy errors since httpd 2.2.12 with Tomcat 6.0.20: (proxy: error processing body)
Summary: Proxy errors since httpd 2.2.12 with Tomcat 6.0.20: (proxy: error processing ...
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy_ajp (show other bugs)
Version: 2.2.22
Hardware: PC Linux
: P2 normal with 1 vote (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2009-11-25 07:43 UTC by Kerem Erkan
Modified: 2018-11-07 21:09 UTC (History)
3 users (show)



Attachments
Connection debug file (5.27 KB, text/plain)
2009-11-25 07:43 UTC, Kerem Erkan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kerem Erkan 2009-11-25 07:43:22 UTC
Created attachment 24613 [details]
Connection debug file

Since httpd 2.2.12, we have been getting error "proxy: error processing body" followed by error "proxy: dialog to xxx.xxx.xxx.xxx:xxxx (xxx.xxx.xxx.xxx) failed".

I have not been able to isolate the situation, and I also have not been able to upgrade Apache to latest because of this problem. It seems like Apache does not give any server errors to the client, but I am not sure of that either. I am using 2.2.11 for the time being.

The server hosts both web and wap sites, and I encounter this mostly on our wap sites, because they have more traffic. I am sending a debug from a wap site connection.

I would be glad to have some insight about this problem because I am unable to upgrade my webservers for the time being.
Comment 1 Ruediger Pluem 2009-11-25 09:03:50 UTC
This is just a bad error message for what happens in your case. What happens is that the client to your website cancels the connection by e.g. pressing the stop button in the browser or because of some network problem between client and server. So there is no functional defect here only the error logging needs improvement in this case.
Comment 2 Kerem Erkan 2009-11-25 22:57:32 UTC
(In reply to comment #1)
> This is just a bad error message for what happens in your case. What happens is
> that the client to your website cancels the connection by e.g. pressing the
> stop button in the browser or because of some network problem between client
> and server. So there is no functional defect here only the error logging needs
> improvement in this case.

Thanks Ruediger.

What I understand from your comment is, some logging method changed in 2.2.12 and upgrading from 2.2.11 should not impact the working of the site. Am I right?

Also, is there any way to understand the connection problem between the client and Apache, so that it does not log the message like there is some problem between Apache and Tomcat?
Comment 3 Ruediger Pluem 2009-11-26 03:52:29 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > This is just a bad error message for what happens in your case. What happens is
> > that the client to your website cancels the connection by e.g. pressing the
> > stop button in the browser or because of some network problem between client
> > and server. So there is no functional defect here only the error logging needs
> > improvement in this case.
> 
> Thanks Ruediger.
> 
> What I understand from your comment is, some logging method changed in 2.2.12
> and upgrading from 2.2.11 should not impact the working of the site. Am I
> right?

Yes.

> 
> Also, is there any way to understand the connection problem between the client
> and Apache, so that it does not log the message like there is some problem
> between Apache and Tomcat?

As said it can be simply that someone pressed the stop button in the browser. Yo cannot avoid this. Of course you can check the network under your control and try to rule out any network issues (which is hard to do for these kind of problems), but IMHO you can do nothing more.
Comment 4 Kerem Erkan 2009-11-26 09:16:09 UTC
(In reply to comment #3)
> 
> As said it can be simply that someone pressed the stop button in the browser.
> Yo cannot avoid this. Of course you can check the network under your control
> and try to rule out any network issues (which is hard to do for these kind of
> problems), but IMHO you can do nothing more.

But the logging started with Apache 2.2.12 and later (before that version I have never seen this error), so couldn't I patch the source code and disable logging for this error only? It gets written nearly every 2 minutes or so on busy hours. If patching is possible could you be able to shed some light on where to start?
Comment 5 katherine 2011-12-01 14:43:27 UTC
This Bug Report is old but the Status is still on NEW. Are someone working on it to get this Message in a other Loglevel as Error?

Our Apache Service logged this Error Message also a lot and take unnecessary disk space from our log filesystem.
Comment 6 J.C. Hamlin 2013-10-18 15:41:51 UTC
This is still happening with 2.2.22. Any way to filter these messages out, or turn them off. My error logs are flooded with these and it makes it hard to identify real errors.
Comment 7 William A. Rowe Jr. 2018-11-07 21:09:08 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.